# Class CIM_PhysicalAssetCapabilities
extends CIM_Capabilities

PhysicalAssetCapabilities describes the capabilities of representing the FRU related information of the associated instance of the CIM_PhysicalElement subclass.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_PhysicalAssetCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PhysicalAssetCapabilities describes the capabilities of representing the FRU related information of the associated instance of the CIM_PhysicalElement subclass.
UMLPackagePath | string | CIM::Physical::Misc
Version | string | 2.18.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FRUInfoSupported | boolean |
Description | string | Boolean indicating whether the PartNumber, Serial Number, Model, Manufacturer, and SKU properties of PhysicalElement are non-null, non-blank values, and the availability of the complete FRU information.
ModelCorrespondence | string | CIM_PhysicalElement.PartNumber, CIM_PhysicalElement.SerialNumber, CIM_PhysicalElement.Model, CIM_PhysicalElement.Manufacturer, CIM_PhysicalElement.SKU

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods